<?php
// レイアウト!
$byakurai_blocktype = array(
	'core/group',
	'core/column',
	'core/columns',
	'core/image',
	'core/post-featured-image',
	'core/post-template',
	'core/paragraph',
);
$byakurai_addstyle  = array(
	'shadow-small'  => __( 'shadow-small', 'byakurai' ),
	'shadow-middle' => __( 'shadow-middle', 'byakurai' ),
	'shadow-big'    => __( 'shadow-big', 'byakurai' ),
	'shadow-dent'   => __( 'shadow-dent', 'byakurai' ),
	'shadow-cube'   => __( 'shadow-cube', 'byakurai' ),
);
foreach ( $byakurai_blocktype as $byakurai_bname ) {
	foreach ( $byakurai_addstyle as $byakurai_cssname => $byakurai_csslabel ) {
		register_block_style(
			$byakurai_bname,
			array(
				'name'         => $byakurai_cssname,
				'label'        => $byakurai_csslabel,
				'style_handle' => 'byakurai-block-style',
			)
		);
	}
}

/*--- 見出し ---*/
$byakurai_addstyle = array(
	'singleline-center' => __( 'singleline-center', 'byakurai' ),
	'doubleline-center' => __( 'doubleline-center', 'byakurai' ),
	'box-crossingline'  => __( 'box-crossingline', 'byakurai' ),
);
foreach ( $byakurai_addstyle as $byakurai_cssname => $byakurai_csslabel ) {
	register_block_style(
		'core/heading',
		array(
			'name'         => $byakurai_cssname,
			'label'        => $byakurai_csslabel,
			'style_handle' => 'byakurai-block-style',
		)
	);
}

/*
--- インデックスポスト ---*/
// カテゴリ・タグ半円!
register_block_style(
	'core/post-terms',
	array(
		'name'         => 'semicircle',
		'label'        => __( 'semicircle', 'byakurai' ),
		'style_handle' => 'byakurai-block-style',
	)
);

// ページネーション!
register_block_style(
	'core/query-pagination',
	array(
		'name'         => 'mono-minimal',
		'label'        => __( 'mono-minimal', 'byakurai' ),
		'style_handle' => 'byakurai-block-style',
	)
);
